<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.property.mapper.AHouseTypeMapper">

    <resultMap id="BaseResultMap" type="com.zksy.property.domain.AHouseType">
            <id property="id" column="id" jdbcType="VARCHAR"/>
        <result property="assetId" column="asset_id" jdbcType="VARCHAR"/>
            <result property="accountNumber" column="account_number" jdbcType="VARCHAR"/>
        <result property="roomType" column="room_type" jdbcType="INTEGER"/>
            <result property="address" column="address" jdbcType="VARCHAR"/>
            <result property="area" column="area" jdbcType="VARCHAR"/>
            <result property="accountUrl" column="account_url" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="createBy" column="create_by" jdbcType="VARCHAR"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
            <result property="updateBy" column="update_by" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,asset_id,account_number,address,
        area,create_time,create_by,
        update_time,update_by
    </sql>
</mapper>
